CREATE TABLE LogTmCausacion ( 
IdUsuario VARCHAR(5) NOT NULL,
Item INT DEFAULT ((0)) NOT NULL,
TipCau VARCHAR(3) DEFAULT ('CCD') NOT NULL,
Causacion INT DEFAULT ((0)) NOT NULL,
IdCiaCau CHAR(2) DEFAULT ('01') NOT NULL,
ItemCau INT DEFAULT ((0)) NOT NULL,
VrAportes MONEY DEFAULT ((0)) NOT NULL,
VrTotalAbo MONEY DEFAULT ((0)) NOT NULL,
VrAbono MONEY DEFAULT ((0)) NOT NULL,
IdAsociado VARCHAR(16) NOT NULL,
UndVehiculo CHAR(1) DEFAULT ('V') NOT NULL,
IdVehiculo VARCHAR(10) NOT NULL,
Descripcion VARCHAR(500),
NomAsociado VARCHAR(150)
 CONSTRAINT PK_LogTmCausacion PRIMARY KEY CLUSTERED (IdUsuario,Item),
 CONSTRAINT CK_LogTmCausacionIdAsociado CHECK ((len([IdAsociado])>(0))),
 CONSTRAINT CK_LogTmCausacionIdCiaCau CHECK ((len([IdCiaCau])>(0))),
 CONSTRAINT CK_LogTmCausacionIdUsuario CHECK ((len([IdUsuario])>(0))),
 CONSTRAINT CK_LogTmCausacionIdVehiculo CHECK ((len([IdVehiculo])>(0))),
 CONSTRAINT CK_LogTmCausacionTipCau CHECK ((len([TipCau])>(0))),
 CONSTRAINT CK_LogTmCausacionUndVehiculo CHECK ((len([UndVehiculo])>(0))))
GO
CREATE TABLE LogTmRetiros ( 
IdUsuario VARCHAR(5) NOT NULL,
Item INT DEFAULT ((0)) NOT NULL,
IdAsociado VARCHAR(16) NOT NULL,
UndVehiculo CHAR(1) DEFAULT ('V') NOT NULL,
IdVehiculo VARCHAR(10) NOT NULL,
nRemolque VARCHAR(10),
VrAvaluo MONEY DEFAULT ((0)) NOT NULL,
TipoBaseLiq CHAR(1) DEFAULT ('A') NOT NULL,
VrTotalApo MONEY DEFAULT ((0)) NOT NULL,
VrAportes MONEY DEFAULT ((0)) NOT NULL,
VrVinculacion MONEY DEFAULT ((0)) NOT NULL,
VrSaldoVinc MONEY DEFAULT ((0)) NOT NULL,
VrGarantia MONEY DEFAULT ((0)) NOT NULL,
VrSaldoApo MONEY DEFAULT ((0)) NOT NULL,
VrRetiro MONEY DEFAULT ((0)) NOT NULL,
TipoAfi VARCHAR(10),
NomAsociado VARCHAR(150)
 CONSTRAINT PK_LogTmRetiros PRIMARY KEY CLUSTERED (IdUsuario,Item),
 CONSTRAINT CK_LogTmRetirosIdAsociado CHECK ((len([IdAsociado])>(0))),
 CONSTRAINT CK_LogTmRetirosIdUsuario CHECK ((len([IdUsuario])>(0))),
 CONSTRAINT CK_LogTmRetirosIdVehiculo CHECK ((len([IdVehiculo])>(0))),
 CONSTRAINT CK_LogTmRetirosTipoBaseLiq CHECK ((len([TipoBaseLiq])>(0))),
 CONSTRAINT CK_LogTmRetirosUndVehiculo CHECK ((len([UndVehiculo])>(0))))
GO

CREATE NONCLUSTERED INDEX IX_LogTmCausacionCausacion ON LogTmCausacion(TipCau,Causacion,IdCiaCau,ItemCau)
CREATE NONCLUSTERED INDEX IX_LogTmRetirosIdAsociado ON LogTmRetiros(IdAsociado,UndVehiculo,IdVehiculo)
